#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long int n, k;
    cin>>n>>k;
    long long int a[n];
    for(long long int i=0;i<n;i++)
        cin>>a[i];
    for(long long int i=0;i<n;i++)
        if(a[i] == k){
            if(i == n-1)
                cout<<a[0];
            else
                cout<<a[i+1];
            break;
        }
    return 0;
}